locked
New Linux on Hyper-V documentation RRS feed

  • General discussion

  • We've got some new documentation available on TechNet. See http://technet.microsoft.com/en-us/library/dn531030.aspx.  This documentation includes details on which LIS features are present in LIS 3.4 and in each of the Linux distros that has LIS built-in.  We will keep the grids updated as new distros come out.

    Michael Kelley, Lead Program Manager, Open Source Technology Center

    Thursday, November 14, 2013 4:55 PM
    Moderator

All replies

  • The latest Ubuntu 13.10 does not work as expected. Hyper-V shows that LIS has version 3.1:


    PS C:\Windows\system32> get-vm t-ubu* | fl name, *integration*


    Name                       : t-ubuntu1310
    IntegrationServicesState   : Update required
    IntegrationServicesVersion : 3.1
    VMIntegrationService       : {Time Synchronization, Heartbeat, Key-Value Pair Exchange, Shutdown...}



    PS C:\Windows\system32> get-vm t-ubu* | Get-VMIntegrationService | ft -Wrap

    VMName       Name                    Enabled PrimaryStatusDescription SecondaryStatusDescription
    ------       ----                    ------- ------------------------ --------------------------
    t-ubuntu1310 Time Synchronization    True    OK
    t-ubuntu1310 Heartbeat               True    OK
    t-ubuntu1310 Key-Value Pair Exchange True    OK                       The protocol version of the component installed
                                                                          in the virtual machine does not match the
                                                                          version expected by the hosting system
    t-ubuntu1310 Shutdown                True    OK
    t-ubuntu1310 VSS                     True    OK
    t-ubuntu1310 Guest Service Interface False   OK

    Who, Microsoft or Canonical, should take care of that?

    Sunday, December 15, 2013 6:38 PM
  • This version mismatch error is a known issue.  But the error is actually spurious -- there's not actually a problem.  Ubuntu 13.10 should run just fine on Hyper-V, and it has all of the latest LIS updates even though the version number is reported as 3.1.

    Again, this is a known issue and the action is with Microsoft.  But just ignore it. :-)


    Michael Kelley, Lead Program Manager, Open Source Technology Center

    Monday, December 16, 2013 5:07 PM
    Moderator